Subject: Re: linuxppc trees, what is going on ?

From: Sven Luther <[email-masked]>
Date: Wed, 14 Jan 2004 09:55:06 +0100

On Tue, Jan 13, 2004 at 10:35:14AM -0700, Tom Rini wrote:
>
> On Tue, Jan 13, 2004 at 06:18:27PM +0100, Sven Luther wrote:
> > On Tue, Jan 13, 2004 at 10:06:31AM -0700, Tom Rini wrote:
> > > On Mon, Jan 12, 2004 at 08:32:17AM +0100, Sven Luther wrote:
> > >
> > > > Ok, anyway linuxppc_2_4 is supposed to be dead. But my point was, from
> > > > which TAG should i extract kernels from the linuxppc-2.4 to make debian
> > > > packages ? I tried the v2.4.24 tag, which seemed ok, but the version was
> > > > still 2.4.24-rc1. I guess this was a problem due to the haste of the
> > > > 2.4.24 release or something, but it would be nice if it was clear which
> > > > tag we should export.
> > >
> > > There is no tag you can use to do this.  Just like how 'v2.4.24' in the
> > > old linuxppc_2_4* trees would get you 2.4.24 w/o any PPC changes, the
> > > same will happen here.
> >
> > This is getting more complicated ...
> >
> > Ok, let's say, tomorrow i need to release a debian 2.4.24 powerpc
> > package, what should i take for this, and which tag/date/whatever should
> > i use.
>
> First, do a bk help changes.  I mention this since I believe the
> behavior of -e will change, or has changed.  Then do a 'bk changes' such
> that you see all merge changesets.  Then just find that one that
> corresponds to when the merge of Marcelo's tree that contained at least
> v2.4.24 came in.  If there are changes after v2.4.24, you will have to
> back these out from your patch manually (filterdiff or interdiff can probably
> help here).

Yep, i did this already in the past, didn't know about -e though, will
look.

> Paul, do you want to start adding tags to the linuxppc-2.4 tree?

Yes, that would be really practical. It would be really practical, and
it would not cost all that much in time for putting these tags, while
getting the right changeset to extract is time consuming and
error-prone. That said, maybe 2.4.24 was exceptional. But still, tags
would be welcome.

> > Also, there is the fact that modern powermac will most probably need
> > stuff from the -benh tree, and that it would be maybe nicer for me to
> > follow that tree instead.
>
> The same applies here, except it's when linuxppc-2.4 that has v2.4.24 is
> merged in.

Yep.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/